org.springframework.web.reactive.function.client

## Class ExchangeFunctions

- java.lang.Object
- - org.springframework.web.reactive.function.client.ExchangeFunctions

    public abstract class ExchangeFunctions
    extends Object

Static factory methods to create an `ExchangeFunction`.

Since:
  5.0
Author:
  Arjen Poutsma, Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`ExchangeFunctions()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ExchangeFunction` `create(org.springframework.http.client.reactive.ClientHttpConnector connector)` Create an `ExchangeFunction` with the given `ClientHttpConnector`.
`static ExchangeFunction` `create(org.springframework.http.client.reactive.ClientHttpConnector connector, ExchangeStrategies strategies)` Create an `ExchangeFunction` with the given `ClientHttpConnector` and `ExchangeStrategies`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExchangeFunctions

    public ExchangeFunctions()

### Method Detail

#### create

    public static ExchangeFunction create(org.springframework.http.client.reactive.ClientHttpConnector connector)

Create an `ExchangeFunction` with the given `ClientHttpConnector`. This is the same as calling `create(ClientHttpConnector, ExchangeStrategies)` and passing `ExchangeStrategies.withDefaults()`.

Parameters:
  `connector` - the connector to use for connecting to servers
Returns:
  the created `ExchangeFunction`

#### create

    public static ExchangeFunction create(org.springframework.http.client.reactive.ClientHttpConnector connector,
                                          ExchangeStrategies strategies)

Create an `ExchangeFunction` with the given `ClientHttpConnector` and `ExchangeStrategies`.

Parameters:
  `connector` - the connector to use for connecting to servers
  `strategies` - the `ExchangeStrategies` to use
Returns:
  the created `ExchangeFunction`